local ent = {}

function ent:create( x, y, dir )
	self.image = love.graphics.newImage( 'textures/weapons/shuriken.png' )
	self.x = x
	self.y = y
	self.w = 16
	self.h = 16
	self.vX = 320 * dir
	self.oX = self.image:getWidth()/2
	self.oY = self.image:getHeight()/2
	self.r = 0
	self.damage = 5
	
	self.weapon = true
end

function ent:draw()
	love.graphics.draw( self.image, self.x, self.y, self.r, 1, 1, self.oX, self.oY )
end

function ent:update(dt)
	local dt = love.timer.getDelta()
	self.x = self.x + self.vX * dt
	self.r = self.r + .025
end

return ent